/*****************************************************************************/
/* FILENAME                                                                  */
/*   FIR_filters.h                                                           */
/*                                                                           */
/* DESCRIPTION                                                               */
/*   Header File for different Finite Impulse Response filters               */
/*                                                                           */
/*****************************************************************************/

#ifndef FIR_FILTERS_H
#define FIR_FILTERS_H

signed int FIR_filter(const signed int * filter_constants, signed int input);
signed long FIR_dual_filter( const signed int * filter_constants, signed int input);

#endif

/******************************************************************************/
/* End of FIR_filters.h                                                       */
/******************************************************************************/

  
